==============
Path and Probe
==============

Path commands are used to define a line through your model by specifying a series of points. You can view results along the path in the form of an X-Y plot. Probe commands are used to determine model data and analysis results at selected locations.


Create paths in Session
-----------------------

.. autoclass:: abaqus.PathAndProbe.PathSession.PathSession
    :members:

    .. autoclasstoc::


Create free bodies in Session
-----------------------------

.. autoclass:: abaqus.PathAndProbe.FreeBody.FreeBody
    :members:

    .. autoclasstoc::

Object features
---------------

CurrentProbeValues
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.CurrentProbeValues.CurrentProbeValues
    :members:

    .. autoclasstoc::

NodeQuery
~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.NodeQuery.NodeQuery
    :members:

    .. autoclasstoc::

Path
~~~~

.. autoclass:: abaqus.PathAndProbe.Path.Path
    :members:

    .. autoclasstoc::

ProbeOptions
~~~~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.ProbeOptions.ProbeOptions
    :members:

    .. autoclasstoc::

ProbeReport
~~~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.ProbeReport.ProbeReport
    :members:

    .. autoclasstoc::

SelectedProbeValues
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.SelectedProbeValues.SelectedProbeValues
    :members:

    .. autoclasstoc::

Spectrum
~~~~~~~~

.. autoclass:: abaqus.PathAndProbe.Spectrum.Spectrum
    :members:

    .. autoclasstoc::

Stream
~~~~~~

.. autoclass:: abaqus.PathAndProbe.Stream.Stream
    :members:

    .. autoclasstoc::

